CMSIS-Driver: Ethernet MAC VLAN Filter Flag

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC VLAN Filter Flag
Ethernet MAC Control Codes

Specify whether to compare only the VLAN Identifier. More...

## Macros

#define | ARM_ETH_MAC_VLAN_FILTER_ID_ONLY (1UL << 16)
| Compare only the VLAN Identifier (12-bit) More...

## Description

Specify whether to compare only the VLAN Identifier.

The function ARM_ETH_MAC_Control with control = ARM_ETH_MAC_VLAN_FILTER configures the VLAN Filter for received frames as specified with arg.

By default the complete VLAN Tag (16-bit) is compared. When ARM_ETH_MAC_VLAN_FILTER_ID_ONLY is specified then only the VLAN Identifier (12-bit) is compared.

Specifying arg=0 disables the VLAN Filter.

## Macro Definition Documentation

#define ARM_ETH_MAC_VLAN_FILTER_ID_ONLY (1UL << 16)

Compare only the VLAN Identifier (12-bit)